#### Previous topic

scipy.fftpack.ihilbert

#### Next topic

scipy.fftpack.sc_diff

# scipy.fftpack.cs_diff

`scipy.fftpack.``cs_diff`(x, a, b, period=None, _cache={})

  Return (a,b)-cosh/sinh pseudo-derivative of a periodic sequence.

  If `x_j` and `y_j` are Fourier coefficients of periodic functions x and y, respectively, then:

      y_j = -sqrt(-1)*cosh(j*a*2*pi/period)/sinh(j*b*2*pi/period) * x_j
      y_0 = 0

  Parameters:

  x : array_like

  > The array to take the pseudo-derivative from.

  a, b : float

  > Defines the parameters of the cosh/sinh pseudo-differential operator.

  period : float, optional

  > The period of the sequence. Default period is `2*pi`.

  Returns:

  cs_diff : ndarray

  > Pseudo-derivative of periodic sequence x.

  Notes

  For even len(x), the Nyquist mode of x is taken as zero.